# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models
import wagtail.wagtailcore.fields
import wagtail.wagtailimages.blocks
import gestioncof.cms.models
import wagtail.wagtailcore.blocks
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('wagtailcore', '0033_remove_golive_expiry_help_text'),
        ('wagtailimages', '0019_delete_filter'),
    ]

    operations = [
        migrations.CreateModel(
            name='COFActuEventPage',
            fields=[
                ('page_ptr', models.OneToOneField(serialize=False, parent_link=True, to='wagtailcore.Page', primary_key=True, auto_created=True)),
                ('title_fr', models.CharField(null=True, verbose_name='title', help_text="The page title as you'd like it to be seen by the public", max_length=255)),
                ('title_en', models.CharField(null=True, verbose_name='title', help_text="The page title as you'd like it to be seen by the public", max_length=255)),
                ('slug_fr', models.SlugField(null=True, help_text='The name of the page as it will appear in URLs e.g http://domain.com/blog/[my-slug]/', verbose_name='slug', max_length=255)),
                ('slug_en', models.SlugField(null=True, help_text='The name of the page as it will appear in URLs e.g http://domain.com/blog/[my-slug]/', verbose_name='slug', max_length=255)),
                ('url_path_fr', models.TextField(null=True, blank=True, editable=False, verbose_name='URL path')),
                ('url_path_en', models.TextField(null=True, blank=True, editable=False, verbose_name='URL path')),
                ('seo_title_fr', models.CharField(null=True, blank=True, verbose_name='page title', help_text="Optional. 'Search Engine Friendly' title. This will appear at the top of the browser window.", max_length=255)),
                ('seo_title_en', models.CharField(null=True, blank=True, verbose_name='page title', help_text="Optional. 'Search Engine Friendly' title. This will appear at the top of the browser window.", max_length=255)),
                ('search_description_fr', models.TextField(null=True, blank=True, verbose_name='search description')),
                ('search_description_en', models.TextField(null=True, blank=True, verbose_name='search description')),
                ('chapo', models.TextField(verbose_name='Description rapide')),
                ('chapo_fr', models.TextField(null=True, verbose_name='Description rapide')),
                ('chapo_en', models.TextField(null=True, verbose_name='Description rapide')),
                ('body', wagtail.wagtailcore.fields.RichTextField(verbose_name='Description longue')),
                ('body_fr', wagtail.wagtailcore.fields.RichTextField(null=True, verbose_name='Description longue')),
                ('body_en', wagtail.wagtailcore.fields.RichTextField(null=True, verbose_name='Description longue')),
                ('date_start', models.DateTimeField(verbose_name='Date et heure de début')),
                ('date_end', models.DateTimeField(null=True, blank=True, default=None, verbose_name='Date et heure de fin')),
                ('all_day', models.BooleanField(default=False, verbose_name='Toute la journée')),
                ('image', models.ForeignKey(null=True, blank=True, on_delete=django.db.models.deletion.SET_NULL, to='wagtailimages.Image', related_name='+', verbose_name='Image à la Une')),
            ],
            options={
                'verbose_name_plural': 'Actus liées à des évènements',
                'verbose_name': 'Actu liée à un évènement',
            },
            bases=('wagtailcore.page',),
        ),
        migrations.CreateModel(
            name='COFActuIndexPage',
            fields=[
                ('page_ptr', models.OneToOneField(serialize=False, parent_link=True, to='wagtailcore.Page', primary_key=True, auto_created=True)),
                ('title_fr', models.CharField(null=True, verbose_name='title', help_text="The page title as you'd like it to be seen by the public", max_length=255)),
                ('title_en', models.CharField(null=True, verbose_name='title', help_text="The page title as you'd like it to be seen by the public", max_length=255)),
                ('slug_fr', models.SlugField(null=True, help_text='The name of the page as it will appear in URLs e.g http://domain.com/blog/[my-slug]/', verbose_name='slug', max_length=255)),
                ('slug_en', models.SlugField(null=True, help_text='The name of the page as it will appear in URLs e.g http://domain.com/blog/[my-slug]/', verbose_name='slug', max_length=255)),
                ('url_path_fr', models.TextField(null=True, blank=True, editable=False, verbose_name='URL path')),
                ('url_path_en', models.TextField(null=True, blank=True, editable=False, verbose_name='URL path')),
                ('seo_title_fr', models.CharField(null=True, blank=True, verbose_name='page title', help_text="Optional. 'Search Engine Friendly' title. This will appear at the top of the browser window.", max_length=255)),
                ('seo_title_en', models.CharField(null=True, blank=True, verbose_name='page title', help_text="Optional. 'Search Engine Friendly' title. This will appear at the top of the browser window.", max_length=255)),
                ('search_description_fr', models.TextField(null=True, blank=True, verbose_name='search description')),
                ('search_description_en', models.TextField(null=True, blank=True, verbose_name='search description')),
            ],
            options={
                'verbose_name_plural': 'Indexs des actualités',
                'verbose_name': 'Index des actualités',
            },
            bases=('wagtailcore.page', gestioncof.cms.models.COFActuIndexMixin),
        ),
        migrations.CreateModel(
            name='COFActuPage',
            fields=[
                ('page_ptr', models.OneToOneField(serialize=False, parent_link=True, to='wagtailcore.Page', primary_key=True, auto_created=True)),
                ('title_fr', models.CharField(null=True, verbose_name='title', help_text="The page title as you'd like it to be seen by the public", max_length=255)),
                ('title_en', models.CharField(null=True, verbose_name='title', help_text="The page title as you'd like it to be seen by the public", max_length=255)),
                ('slug_fr', models.SlugField(null=True, help_text='The name of the page as it will appear in URLs e.g http://domain.com/blog/[my-slug]/', verbose_name='slug', max_length=255)),
                ('slug_en', models.SlugField(null=True, help_text='The name of the page as it will appear in URLs e.g http://domain.com/blog/[my-slug]/', verbose_name='slug', max_length=255)),
                ('url_path_fr', models.TextField(null=True, blank=True, editable=False, verbose_name='URL path')),
                ('url_path_en', models.TextField(null=True, blank=True, editable=False, verbose_name='URL path')),
                ('seo_title_fr', models.CharField(null=True, blank=True, verbose_name='page title', help_text="Optional. 'Search Engine Friendly' title. This will appear at the top of the browser window.", max_length=255)),
                ('seo_title_en', models.CharField(null=True, blank=True, verbose_name='page title', help_text="Optional. 'Search Engine Friendly' title. This will appear at the top of the browser window.", max_length=255)),
                ('search_description_fr', models.TextField(null=True, blank=True, verbose_name='search description')),
                ('search_description_en', models.TextField(null=True, blank=True, verbose_name='search description')),
                ('body', wagtail.wagtailcore.fields.RichTextField(verbose_name='Contenu')),
                ('body_fr', wagtail.wagtailcore.fields.RichTextField(null=True, verbose_name='Contenu')),
                ('body_en', wagtail.wagtailcore.fields.RichTextField(null=True, verbose_name='Contenu')),
                ('date', models.DateField(verbose_name='Date du post')),
                ('image', models.ForeignKey(null=True, blank=True, on_delete=django.db.models.deletion.SET_NULL, to='wagtailimages.Image', related_name='+', verbose_name='Image à la Une')),
            ],
            options={
                'verbose_name_plural': 'Actualités simples',
                'verbose_name': 'Actualité simple',
            },
            bases=('wagtailcore.page',),
        ),
        migrations.CreateModel(
            name='COFDirectoryEntryPage',
            fields=[
                ('page_ptr', models.OneToOneField(serialize=False, parent_link=True, to='wagtailcore.Page', primary_key=True, auto_created=True)),
                ('title_fr', models.CharField(null=True, verbose_name='title', help_text="The page title as you'd like it to be seen by the public", max_length=255)),
                ('title_en', models.CharField(null=True, verbose_name='title', help_text="The page title as you'd like it to be seen by the public", max_length=255)),
                ('slug_fr', models.SlugField(null=True, help_text='The name of the page as it will appear in URLs e.g http://domain.com/blog/[my-slug]/', verbose_name='slug', max_length=255)),
                ('slug_en', models.SlugField(null=True, help_text='The name of the page as it will appear in URLs e.g http://domain.com/blog/[my-slug]/', verbose_name='slug', max_length=255)),
                ('url_path_fr', models.TextField(null=True, blank=True, editable=False, verbose_name='URL path')),
                ('url_path_en', models.TextField(null=True, blank=True, editable=False, verbose_name='URL path')),
                ('seo_title_fr', models.CharField(null=True, blank=True, verbose_name='page title', help_text="Optional. 'Search Engine Friendly' title. This will appear at the top of the browser window.", max_length=255)),
                ('seo_title_en', models.CharField(null=True, blank=True, verbose_name='page title', help_text="Optional. 'Search Engine Friendly' title. This will appear at the top of the browser window.", max_length=255)),
                ('search_description_fr', models.TextField(null=True, blank=True, verbose_name='search description')),
                ('search_description_en', models.TextField(null=True, blank=True, verbose_name='search description')),
                ('body', wagtail.wagtailcore.fields.RichTextField(verbose_name='Description')),
                ('body_fr', wagtail.wagtailcore.fields.RichTextField(null=True, verbose_name='Description')),
                ('body_en', wagtail.wagtailcore.fields.RichTextField(null=True, verbose_name='Description')),
                ('links', wagtail.wagtailcore.fields.StreamField((('lien', wagtail.wagtailcore.blocks.StructBlock((('url', wagtail.wagtailcore.blocks.URLBlock(required=True)), ('texte', wagtail.wagtailcore.blocks.CharBlock())))), ('contact', wagtail.wagtailcore.blocks.StructBlock((('email', wagtail.wagtailcore.blocks.EmailBlock(required=True)), ('texte', wagtail.wagtailcore.blocks.CharBlock()))))))),
                ('links_fr', wagtail.wagtailcore.fields.StreamField((('lien', wagtail.wagtailcore.blocks.StructBlock((('url', wagtail.wagtailcore.blocks.URLBlock(required=True)), ('texte', wagtail.wagtailcore.blocks.CharBlock())))), ('contact', wagtail.wagtailcore.blocks.StructBlock((('email', wagtail.wagtailcore.blocks.EmailBlock(required=True)), ('texte', wagtail.wagtailcore.blocks.CharBlock()))))), null=True)),
                ('links_en', wagtail.wagtailcore.fields.StreamField((('lien', wagtail.wagtailcore.blocks.StructBlock((('url', wagtail.wagtailcore.blocks.URLBlock(required=True)), ('texte', wagtail.wagtailcore.blocks.CharBlock())))), ('contact', wagtail.wagtailcore.blocks.StructBlock((('email', wagtail.wagtailcore.blocks.EmailBlock(required=True)), ('texte', wagtail.wagtailcore.blocks.CharBlock()))))), null=True)),
                ('image', models.ForeignKey(null=True, blank=True, on_delete=django.db.models.deletion.SET_NULL, to='wagtailimages.Image', related_name='+', verbose_name='Image')),
            ],
            options={
                'verbose_name_plural': "Éntrées d'annuaire",
                'verbose_name': "Éntrée d'annuaire",
            },
            bases=('wagtailcore.page',),
        ),
        migrations.CreateModel(
            name='COFDirectoryPage',
            fields=[
                ('page_ptr', models.OneToOneField(serialize=False, parent_link=True, to='wagtailcore.Page', primary_key=True, auto_created=True)),
                ('title_fr', models.CharField(null=True, verbose_name='title', help_text="The page title as you'd like it to be seen by the public", max_length=255)),
                ('title_en', models.CharField(null=True, verbose_name='title', help_text="The page title as you'd like it to be seen by the public", max_length=255)),
                ('slug_fr', models.SlugField(null=True, help_text='The name of the page as it will appear in URLs e.g http://domain.com/blog/[my-slug]/', verbose_name='slug', max_length=255)),
                ('slug_en', models.SlugField(null=True, help_text='The name of the page as it will appear in URLs e.g http://domain.com/blog/[my-slug]/', verbose_name='slug', max_length=255)),
                ('url_path_fr', models.TextField(null=True, blank=True, editable=False, verbose_name='URL path')),
                ('url_path_en', models.TextField(null=True, blank=True, editable=False, verbose_name='URL path')),
                ('seo_title_fr', models.CharField(null=True, blank=True, verbose_name='page title', help_text="Optional. 'Search Engine Friendly' title. This will appear at the top of the browser window.", max_length=255)),
                ('seo_title_en', models.CharField(null=True, blank=True, verbose_name='page title', help_text="Optional. 'Search Engine Friendly' title. This will appear at the top of the browser window.", max_length=255)),
                ('search_description_fr', models.TextField(null=True, blank=True, verbose_name='search description')),
                ('search_description_en', models.TextField(null=True, blank=True, verbose_name='search description')),
                ('introduction', wagtail.wagtailcore.fields.RichTextField(verbose_name='Introduction')),
                ('introduction_fr', wagtail.wagtailcore.fields.RichTextField(null=True, verbose_name='Introduction')),
                ('introduction_en', wagtail.wagtailcore.fields.RichTextField(null=True, verbose_name='Introduction')),
            ],
            options={
                'verbose_name_plural': 'Annuaires',
                'verbose_name': 'Annuaire (clubs, partenaires, bons plans...)',
            },
            bases=('wagtailcore.page',),
        ),
        migrations.CreateModel(
            name='COFPage',
            fields=[
                ('page_ptr', models.OneToOneField(serialize=False, parent_link=True, to='wagtailcore.Page', primary_key=True, auto_created=True)),
                ('title_fr', models.CharField(null=True, verbose_name='title', help_text="The page title as you'd like it to be seen by the public", max_length=255)),
                ('title_en', models.CharField(null=True, verbose_name='title', help_text="The page title as you'd like it to be seen by the public", max_length=255)),
                ('slug_fr', models.SlugField(null=True, help_text='The name of the page as it will appear in URLs e.g http://domain.com/blog/[my-slug]/', verbose_name='slug', max_length=255)),
                ('slug_en', models.SlugField(null=True, help_text='The name of the page as it will appear in URLs e.g http://domain.com/blog/[my-slug]/', verbose_name='slug', max_length=255)),
                ('url_path_fr', models.TextField(null=True, blank=True, editable=False, verbose_name='URL path')),
                ('url_path_en', models.TextField(null=True, blank=True, editable=False, verbose_name='URL path')),
                ('seo_title_fr', models.CharField(null=True, blank=True, verbose_name='page title', help_text="Optional. 'Search Engine Friendly' title. This will appear at the top of the browser window.", max_length=255)),
                ('seo_title_en', models.CharField(null=True, blank=True, verbose_name='page title', help_text="Optional. 'Search Engine Friendly' title. This will appear at the top of the browser window.", max_length=255)),
                ('search_description_fr', models.TextField(null=True, blank=True, verbose_name='search description')),
                ('search_description_en', models.TextField(null=True, blank=True, verbose_name='search description')),
                ('body', wagtail.wagtailcore.fields.StreamField((('heading', wagtail.wagtailcore.blocks.CharBlock(classname='full title')), ('paragraph', wagtail.wagtailcore.blocks.RichTextBlock()), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock())))),
                ('body_fr', wagtail.wagtailcore.fields.StreamField((('heading', wagtail.wagtailcore.blocks.CharBlock(classname='full title')), ('paragraph', wagtail.wagtailcore.blocks.RichTextBlock()), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock())), null=True)),
                ('body_en', wagtail.wagtailcore.fields.StreamField((('heading', wagtail.wagtailcore.blocks.CharBlock(classname='full title')), ('paragraph', wagtail.wagtailcore.blocks.RichTextBlock()), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock())), null=True)),
            ],
            options={
                'verbose_name_plural': 'Pages normales COF',
                'verbose_name': 'Page normale COF',
            },
            bases=('wagtailcore.page',),
        ),
        migrations.CreateModel(
            name='COFRootPage',
            fields=[
                ('page_ptr', models.OneToOneField(serialize=False, parent_link=True, to='wagtailcore.Page', primary_key=True, auto_created=True)),
                ('title_fr', models.CharField(null=True, verbose_name='title', help_text="The page title as you'd like it to be seen by the public", max_length=255)),
                ('title_en', models.CharField(null=True, verbose_name='title', help_text="The page title as you'd like it to be seen by the public", max_length=255)),
                ('slug_fr', models.SlugField(null=True, help_text='The name of the page as it will appear in URLs e.g http://domain.com/blog/[my-slug]/', verbose_name='slug', max_length=255)),
                ('slug_en', models.SlugField(null=True, help_text='The name of the page as it will appear in URLs e.g http://domain.com/blog/[my-slug]/', verbose_name='slug', max_length=255)),
                ('url_path_fr', models.TextField(null=True, blank=True, editable=False, verbose_name='URL path')),
                ('url_path_en', models.TextField(null=True, blank=True, editable=False, verbose_name='URL path')),
                ('seo_title_fr', models.CharField(null=True, blank=True, verbose_name='page title', help_text="Optional. 'Search Engine Friendly' title. This will appear at the top of the browser window.", max_length=255)),
                ('seo_title_en', models.CharField(null=True, blank=True, verbose_name='page title', help_text="Optional. 'Search Engine Friendly' title. This will appear at the top of the browser window.", max_length=255)),
                ('search_description_fr', models.TextField(null=True, blank=True, verbose_name='search description')),
                ('search_description_en', models.TextField(null=True, blank=True, verbose_name='search description')),
                ('introduction', wagtail.wagtailcore.fields.RichTextField(verbose_name='Introduction')),
                ('introduction_fr', wagtail.wagtailcore.fields.RichTextField(null=True, verbose_name='Introduction')),
                ('introduction_en', wagtail.wagtailcore.fields.RichTextField(null=True, verbose_name='Introduction')),
            ],
            options={
                'verbose_name_plural': 'Racines site du COF',
                'verbose_name': 'Racine site du COF',
            },
            bases=('wagtailcore.page', gestioncof.cms.models.COFActuIndexMixin),
        ),
    ]
